View Issue Details

IDProjectCategoryView StatusLast Update
0012302LazarusIDEpublic2013-09-03 12:07
ReporterJonas Maebe Assigned ToMartin Friebe  
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
OSMac OS X 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0012302: Option to make triple click select entire line
DescriptionCurrently, triple clicking on a line only selects the text on that line. Pressing backspace then deletes this text, but leaves the rest of the line intact.

I'd like to request a preference to turn triple clicking into selecting the entire line, including white space at the start and the end-of-line marker, so that pressing backspace afterwards deletes the entire line (as it does in other Mac OS X apps).
TagsNo tags attached.
Fixed in Revision20389
LazTarget1.4
Widgetset
Attached Files

Activities

Martin Friebe

2009-06-04 03:21

manager   ~0028273

Please go to the new Editor Mouse option page. Find the entry for left-tripple, and set the option "Include Spaces" to "yes"

Issue History

Date Modified Username Field Change
2008-10-05 13:44 Jonas Maebe New Issue
2008-10-05 13:44 Jonas Maebe Widgetset => Carbon
2008-10-06 13:10 Vincent Snijders LazTarget => post 1.2
2008-10-06 13:10 Vincent Snijders Status new => acknowledged
2009-05-24 10:47 Vincent Snijders Status acknowledged => assigned
2009-05-24 10:47 Vincent Snijders Assigned To => Vincent Snijders
2009-05-24 10:47 Vincent Snijders Assigned To Vincent Snijders => Martin Friebe
2009-06-04 03:21 Martin Friebe Fixed in Revision => 20389
2009-06-04 03:21 Martin Friebe Widgetset Carbon =>
2009-06-04 03:21 Martin Friebe Status assigned => resolved
2009-06-04 03:21 Martin Friebe Fixed in Version => 0.9.27 (SVN)
2009-06-04 03:21 Martin Friebe Resolution open => fixed
2009-06-04 03:21 Martin Friebe Note Added: 0028273
2009-06-04 03:21 Martin Friebe Target Version => 0.9.28
2009-10-23 00:39 Marc Weustink Status resolved => closed
2013-09-03 12:07 Martin Friebe LazTarget post 1.2 => 1.4